Compatibility

BiiSafe Buddy app works with devices supporting Bluetooth Smart (Bluetooth 4.0) connection.

iOS / Apple devices using iOS 8 or higher:

  • iPhone 4s, 5, 5c, 5s, 6, 6 Plus
  • iPad 3rd & 4th Generation, Air, Mini
  • iPod Touch

Supported Apple products are iPhone 4S, 5, 5C, 5S, 6 and 6 Plus. Also iPad3 & 4th Generation, Air and Mini are compatible together with iPod Touch.

 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk